---
title: WindowEventHandlers.onrejectionhandled
slug: Web/API/WindowEventHandlers/onrejectionhandled
tags:
  - API
  - Event Handler
  - HTML DOM
  - JavaScript
  - Promises
  - Property
  - Reference
  - WindowEventHandlers
  - events
  - onrejectionhandled
---
<div>{{APIRef}}</div>

<p>The <strong><code>onrejectionhandled</code></strong> property of the {{domxref("WindowEventHandlers")}} mixin is the {{domxref("EventHandler")}} for processing {{event("rejectionhandled")}} events. These events are raised when {{jsxref("Promise")}}s are rejected.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">window.addEventListener("rejectionhandled", function(event) { ... });
window.onrejectionhandled = function(event) { ...};</pre>

<h2 id="Example">Example</h2>

<pre class="brush: js">window.onrejectionhandled = function(e) {
  console.log(e.reason);
}</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', 'webappapis.html#handler-window-onrejectionhandled', 'onrejectionhandled')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.WindowEventHandlers.onrejectionhandled")}}</p>
